.directory {
	.directory-list {
		.lil-directory-tooltip {
			//display: none;
			opacity: 0;
			transition: opacity 0.3s ease;

			pointer-events: none;

			position: fixed;
			z-index: calc(var(--z-index-app) + 5);

			top: calc(calc(var(--top) - var(--bottom-offset, 0)) * 1px);

			line-height: 1.2;
			padding: 0.2em 0.5em;

			max-width: 32em;

			color: #e9e3df;
			font-size: var(--font-size-14, 10pt);

			background-color: #41434e;
			box-shadow: 0 0 15px #464343;
			border: 2px solid #ffc52f;

			&.left-aligned {
				left: calc(calc(var(--left) - 12 - var(--width)) * 1px);
				border-top-left-radius: 0.5em;
				border-bottom-right-radius: 0.5em;
			}

			&.right-aligned {
				left: calc(calc(var(--right) + 12) * 1px);
				border-top-right-radius: 0.5em;
				border-bottom-left-radius: 0.5em;
			}

			text-shadow: none;

			white-space: pre-wrap;

			display: grid;
			grid-template-columns: min-content 1fr min-content 1fr;
			grid-template-rows: min-content;
			gap: 3px;

			> div {
				display: contents;
				white-space: nowrap;
			}

			h3 {
				line-height: 1;
				border-bottom-color: var(--color-underline-header);
			}

			.simple-value {
				grid-column: span 3;
			}

			.label:after {
				content: ': ';
				color: #e9e3df;
			}

			.value {
				color: gold;

				&.imprecise {
					color: goldenrod;
				}

				&.percentage {
					color: burlywood;
				}

				&.text {
					color: khaki;
				}

				&.number {
				}

				&.health.effective,
				&.cmd.normal,
				&.armor.normal:not(.flat-footed) {
					font-weight: bold;
				}

				&.link-state {
					&.expected {
						color: darkseagreen;
					}

					&.unexpected {
						color: orangered;
						text-shadow: 0 0 1px var(--color-shadow-primary);
					}
				}

				&.boolean {
				}
				&.identified-state {
					&.identified {
						color: greenyellow;
					}
					&.unidentified {
						color: violet;
					}
				}

				&.navigation-state {
					&.true {
						color: darkseagreen;
					}
					&.false {
						color: orangered;
					}
				}

				&.vision-state {
					&.true {
						color: darkseagreen;
					}
					&.false {
						color: orangered;
					}
				}

				&.fog-state {
					&.true {
						color: darkseagreen;
					}
					&.false {
						color: orangered;
					}
				}

				&.pages {
					&.empty {
						color: orangered;
						text-shadow: 0 0 1px var(--color-shadow-primary);
					}
				}
			}

			ul {
				margin: 0;
				padding: 0;

				li {
					display: flex;
					gap: 0.2rem;

					.value {
						&.text {
							flex: 2 4rem;
						}
						&.number {
							flex: 0.2 1rem;
						}

						&.ownership {
							&.level-0 {
								color: orangered;
								text-shadow: 0 0 1px var(--color-shadow-primary);
							}
						}
					}
					&::before {
						color: gray;
						content: ' – ';
					}
				}
			}

			.span-3 {
				grid-column: span 3;
			}

			.span-4 {
				grid-column: span 4;
			}
		}

		.has-little-helper-tooltip:hover .lil-directory-tooltip {
			opacity: 1;
		}
	}
}
